<template>
  <div class="movie">
    <header>
      <Header />
    </header>
    <main>
      <div class="container-xxl">
        <TopMov />
        <div class="cat">
          <div class="cat-t"><span>Genre</span></div>
          <div class="cat-t"><span>Filter</span></div>
        </div>
        <div class="films-box">
          <div class="films-grid"></div>
        </div>
        <MovGrid />
        <paginate
          :page-count="20"
          :page-range="3"
          :margin-pages="2"
          :click-handler="clickCallback"
          :prev-text="'Prev'"
          :next-text="'Next'"
          :container-class="'pagination'"
          :page-class="'page-item'"
        >
        </paginate>
      </div>
    </main>
  </div>
</template>

<script>
import Paginate from "vuejs-paginate";
import Header from "../Header/CatHead";
import TopMov from "../Movies/MoviesTop";
import MovGrid from "../Movies/MoviesGrid";
// import Filter from "../Movies/MoviesFilter";
// import Genre from "../Movies/MoviesGenre";
export default {
  components: {
    Paginate,
    Header,
    TopMov,
    MovGrid,
    // Filter,
    // Genre,
  },
};
</script>

<style lang="scss">
.back {
  background-color: rgb(30, 30, 30);
  border-radius: 12px;
  padding: 8px 1vw;
}
.movie {
  background: rgb(0, 0, 0);
  padding: 8px 8px 0 8px;

  header {
    margin-bottom: 10px;
  }
  main {
    .cat {
      display: flex;
      justify-content: space-around;
      .cat-t {
        span {
          font-size: 1.4rem;
          font-weight: 700;
          color: rgb(0, 183, 255);
        }
      }
    }
  }
}
</style>